lambdabot-reference-plugins-5.3.1.2: Lambdabot reference plugins.

Safe Haskell | None
Language | Haskell98

Lambdabot.Util.Browser

Description

URL Utility Functions

Synopsis

- urlPageTitle :: String -> BrowserAction (HandleStream String) (Maybe String)
- browseLB :: MonadLB m => BrowserAction conn a -> m a

# Documentation

urlPageTitle :: String -> BrowserAction (HandleStream String) (Maybe String) Source #

Fetches a page title suitable for display. Ideally, other plugins should make use of this function if the result is to be displayed in an IRC channel because it ensures that a consistent look is used (and also lets the URL plugin effectively ignore contextual URLs that might be generated by another instance of lambdabot; the URL plugin matches on `urlTitlePrompt`).

browseLB :: MonadLB m => BrowserAction conn a -> m a Source #

Run a browser action with some standardized settings